package ecs.components;

import ecs.core.Component;

class Orbiter extends Component {
	public var phase:Float;
	public var rX:Float;
	public var rY:Float;
	public var angularSpeed:Float;

	public function new(phase = 0., rX = 0., rY = 0., angularSpeed = 0.) {
		super();

		this.phase = phase;
		this.rX = rX;
		this.rY = rY;
		this.angularSpeed = angularSpeed;
	}
}
